Jump to content
  • Checkout
  • Login
  • Get in touch

osCommerce

The e-commerce.

Template problem?


edibleimage

Recommended Posts

Hi,

 

I was hoping someone could help with this problem I have run into while trying to set up a template for my shopping cart.

I don't know much at all about PHP, but I have uploaded my template files (template that I bought from ***.net) and now when I go to my catalog or admin login area, I get the following msg:

 

"Server Requirement Error: register_globals is disabled in your PHP configuration. This can be enabled in your php.ini configuration file or in the .htaccess file in your catalog directory."

 

Does anyone know what these means and am I able to easily fix without having to run through an osCommerce installation again?

 

Cheers,

Matt

Link to comment
Share on other sites

Your template contains old code, iether update it or get rid & find one with up to date code.

 

NB mixing old & new code could result in all sorts of problems that may take some time to surface.

Sam

 

Remember, What you think I ment may not be what I thought I ment when I said it.

 

Contributions:

 

Auto Backup your Database, Easy way

 

Multi Images with Fancy Pop-ups, Easy way

 

Products in columns with multi buy etc etc

 

Disable any Category or Product, Easy way

 

Secure & Improve your account pages et al.

Link to comment
Share on other sites

Firstly, it is very difficult to give support to anyone using a bought-in template, because only the supplier knows what they have changed.

 

Having said that Register Globals problem is a very general problem. In my case I asked my host to turn Register Globals on - and that solved the problem. I believe there are also some fixes for this problem in the Contributions (see Community above for link to Contributions).

Link to comment
Share on other sites

Enabling Register Globals is a security issue, thats why most hosts have it disabled by default. If you look through this forum you will find many cases of sites getting hacked because people failed to make sure their site was secure.

 

Is it really a good idea to open a loophole to the hackers thats currently closed, just so you can use old code.

Sam

 

Remember, What you think I ment may not be what I thought I ment when I said it.

 

Contributions:

 

Auto Backup your Database, Easy way

 

Multi Images with Fancy Pop-ups, Easy way

 

Products in columns with multi buy etc etc

 

Disable any Category or Product, Easy way

 

Secure & Improve your account pages et al.

Link to comment
Share on other sites

  • 3 weeks later...

Hi guys,

 

thanks for your help with this and sorry to keep dragging it but I managed to find a solution to the above problem only to come across a new one. It's been so difficult to set this up (could have everything to do with the fact that I don't have a clue about PHP). The hosting provider told me to disable php5 and enable php4 to solve the register_globals issue. Now the new problem is that when I try to access the catalog, or any other php file for that matter, i ge tthe markup language in the browser window and thats it. Does anyone know why this is? It happens with the basic osCommerce installation as well

 

Cheers,

 

Matt

Link to comment
Share on other sites

Archived

This topic is now archived and is closed to further replies.

×
×
  • Create New...